%define LNG da

Summary:        Danish man pages from the Linux Documentation Project
Name:           man-pages-%LNG
Version:        0.1.2
Release:        1
License:        Distributable
Group:          System/Internationalization
URL:            http://www.sslug.dk/locale/man-sider/
Source0:        http://www.sslug.dk/locale/man-sider/manpages-da-%{version}.tar.gz
Patch0:         manpages-da-0.1.2-manpaths.patch

BuildRequires:  sed
BuildRequires:  grep
BuildRequires:  man
Requires:       locales-%LNG
Requires:       man
AutoReq:        no
BuildArch:      noarch

%description
A large collection of man pages (reference material) from the Linux
Documentation Project (LDP), translated to Danish.  The man pages are
organized into the following sections:

        Section 1:  User commands (intro only)
        Section 2:  System calls
        Section 3:  Libc calls
        Section 4:  Devices (e.g., hd, sd)
        Section 5:  File formats and protocols (e.g., wtmp, %{_sysconfdir}/passwd,
                    nfs)
        Section 6:  Games (intro only)
        Section 7:  Conventions, macro packages, etc. (e.g., nroff, ascii)
        Section 8:  System administration (intro only)

%prep
%setup -q -n manpages-da-%{version}

# Fix encoding
for file in *; do
  iconv -f ISO-8859-1 -t UTF-8 $file > $file.new
  touch -r $file $file.new
  mv $file.new $file
done
mv l?smig læsmig

%apply_patches

%build

%install
%makeinstall_std PREFIX=%{buildroot}%{_prefix}

LANG=%{LNG} DESTDIR=%{buildroot} %{_bindir}/mandb %{buildroot}/%{_mandir}/%{LNG}

mkdir -p %{buildroot}%{_sysconfdir}/cron.weekly
cat > %{buildroot}%{_sysconfdir}/cron.weekly/makewhatis-%{LNG}.cron << EOF
#!/bin/bash
LANG=%{LNG} %{_bindir}/mandb %{_mandir}/%{LNG}
exit 0
EOF
chmod a+x %{buildroot}%{_sysconfdir}/cron.weekly/makewhatis-%{LNG}.cron

mkdir -p  %{buildroot}/var/cache/man/%{LNG}

touch %{buildroot}/var/cache/man/%{LNG}/whatis

%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%%{LNG}, if there isn't any man page
   ## directory /%%{_mandir}/%%{LNG}
   if [ ! -d %{_mandir}/%{LNG} ] ; then
       /bin/rm -rf /var/catman/%{LNG}
   fi
fi

%post
%create_ghostfile /var/cache/man/%{LNG}/whatis root root 644

%files
%doc læsmig AUTHORS ChangeLog
%dir /var/cache/man/%{LNG}
%ghost %config(noreplace) /var/cache/man/%{LNG}/whatis
%config(noreplace) %attr(755,root,root) %{_sysconfdir}/cron.weekly/makewhatis-%{LNG}.cron
%{_mandir}/%{LNG}/



%changelog

* Wed Oct 07 2015 Denis Silakov <dsilakov@gmail.com> 0.1.2-1
- (451a78b) Updated to 0.1.2, spec cleanup


